<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Louvain Algorithm: community_set_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Louvain Algorithm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">community_set_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="community_8h_source.html">community.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for community_set_t:</div>
<div class="dyncontent">
<div class="center"><img src="structcommunity__set__t__coll__graph.png" border="0" usemap="#community__set__t_coll__map" alt="Collaboration graph"/></div>
<map name="community__set__t_coll__map" id="community__set__t_coll__map">
<area shape="rect" id="node2" href="structcommunity__t.html" title="community_t" alt="" coords="15,95,113,121"/>
<area shape="rect" id="node3" href="structnode__t.html" title="node_t" alt="" coords="5,5,67,32"/>
<area shape="rect" id="node4" href="structgraph__t.html" title="graph_t" alt="" coords="141,95,206,121"/>
<area shape="rect" id="node5" href="structgnode__t.html" title="gnode_t" alt="" coords="145,5,213,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:afd30b95c910a94e376862a75e7a6a745"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structcommunity__t.html">community_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcommunity__set__t.html#afd30b95c910a94e376862a75e7a6a745">c</a></td></tr>
<tr class="separator:afd30b95c910a94e376862a75e7a6a745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e3f76400ecee4e024946e2c1b641eb2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structgraph__t.html">graph_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcommunity__set__t.html#a6e3f76400ecee4e024946e2c1b641eb2">g</a></td></tr>
<tr class="separator:a6e3f76400ecee4e024946e2c1b641eb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace8677db03be7e2a18dcb539cadd2366"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcommunity__set__t.html#ace8677db03be7e2a18dcb539cadd2366">num_communities</a></td></tr>
<tr class="separator:ace8677db03be7e2a18dcb539cadd2366"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure to contain a set of communities along with the pointer to the graph that contains the nodes in those communities. It also contains the total number of communities for easy access. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="afd30b95c910a94e376862a75e7a6a745"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd30b95c910a94e376862a75e7a6a745">&#9670;&nbsp;</a></span>c</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structcommunity__t.html">community_t</a>* community_set_t::c</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e3f76400ecee4e024946e2c1b641eb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e3f76400ecee4e024946e2c1b641eb2">&#9670;&nbsp;</a></span>g</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structgraph__t.html">graph_t</a>* community_set_t::g</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ace8677db03be7e2a18dcb539cadd2366"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace8677db03be7e2a18dcb539cadd2366">&#9670;&nbsp;</a></span>num_communities</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int community_set_t::num_communities</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="community_8h_source.html">community.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
